org.apache.commons.ssl.asn1

## Class DERSequenceGenerator

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Generator
  - - org.apache.commons.ssl.asn1.DERGenerator
    - - org.apache.commons.ssl.asn1.DERSequenceGenerator

    public class DERSequenceGenerator
    extends DERGenerator

### Field Summary

Fields
`private java.io.ByteArrayOutputStream` `_bOut`

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Generator

`_out`

### Constructor Summary

Constructors
Constructor and Description
`DERSequenceGenerator(java.io.OutputStream out)`
`DERSequenceGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)`

### Method Summary

Methods
`void` `addObject(DEREncodable object)`
`void` `close()`
`java.io.OutputStream` `getRawOutputStream()`

### Methods inherited from class org.apache.commons.ssl.asn1.DERGenerator

`writeDEREncoded, writeDEREncoded, writeDEREncoded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _bOut

    private final java.io.ByteArrayOutputStream _bOut

### Constructor Detail

#### DERSequenceGenerator

    public DERSequenceGenerator(java.io.OutputStream out)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### DERSequenceGenerator

    public DERSequenceGenerator(java.io.OutputStream out,
                        int tagNo,
                        boolean isExplicit)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### addObject

    public void addObject(DEREncodable object)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### getRawOutputStream

    public java.io.OutputStream getRawOutputStream()

Specified by:
  `getRawOutputStream` in class `ASN1Generator`

#### close

    public void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`